Get Endpoint
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoint \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/endpoint"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/endpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint": {
"id": "<string>",
"name": "<string>",
"appName": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"url": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": "<string>",
"maxConcurrent": "<string>",
"gpuNum": 123,
"requestTimeout": 123,
"cudaVersion": "<string>"
},
"policy": {
"type": "<string>",
"value": "<string>"
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"id": "<string>",
"size": 123,
"mountPath": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"ports": [
{
"port": 123
}
],
"workers": [
{
"id": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"log": "<string>",
"metrics": "<string>",
"healthy": true
}
],
"products": [
{
"id": "<string>"
}
],
"healthy": {
"path": "<string>",
"initialDelay": 123,
"period": 123,
"timeout": 123,
"successThreshold": 123,
"failureThreshold": 123
},
"clusterID": "<string>",
"log": "<string>"
}
}Serverless GPUs
Get Endpoint
GET
/
gpu-instance
/
openapi
/
v1
/
endpoint
Get Endpoint
Request Headers
string
requis
Enum:
application/jsonstring
requis
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
requis
Endpoint ID.
Response
object
requis
Endpoint information.
Masquer properties
Masquer properties
string
requis
Endpoint ID.
string
requis
Endpoint name.
string
requis
Application name.
object
requis
string
requis
Endpoint URL. You can access your HTTP service via this URL.
object
requis
Worker configuration for the endpoint.
object
requis
Auto-scaling policy for the endpoint.
Masquer properties
Masquer properties
string
requis
Policy type. Options:
queue: Queue latency policy, adjusts the number of workers based on the waiting time of requests in the queue.concurrency: Queue request policy, automatically adjusts the number of workers based on the number of requests in the queue.
string
requis
The meaning of value depends on the type:
- If type = queue, value is the queue waiting time in seconds.
- If type = concurrency, value is the maximum number of requests in the queue.
object
requis
integer
requis
System disk size.
object[]
requis
object[]
requis
object[]
requis
Worker information for the endpoint.
Masquer properties
Masquer properties
string
requis
Worker ID.
object
requis
string
requis
Log path for the worker.
string
requis
Monitoring information for the worker.
boolean
requis
Whether the worker is healthy.
object
requis
Health check configuration for the endpoint.
Masquer properties
Masquer properties
string
requis
Path to be checked via HTTP request for health monitoring.
integer
requis
Time to wait after startup before starting health checks, in seconds.
integer
requis
Interval between health checks, in seconds.
integer
requis
Timeout for health checks, in seconds.
integer
requis
Number of consecutive successes required to consider the check successful after a previous failure.
integer
requis
Number of consecutive failures required to consider the check failed after a previous success.
string
requis
Cluster ID where the cloud storage resides. Returned when using cloud storage.
string
requis
Log path for the endpoint.
Dernière modification le 15 mai 2026
⌘I